# Note: This is a configuration of the ChatControl plugin
# Official page: http://dev.bukkit.org/server-mods/chat-control
# SLOVAK DEVELOPER FTW

Chat:
  Block_Duplicate_Messages: true
  Message_Delay: 3
  Write_To_File: true
  Ignore_Players:
  - anonymouser1
Grammar:
  Capitalise: true
  Insert_Dot: true
Commands:
  Block_Duplicate_Commands: true
  Command_Delay: 3
  Whitelist_Time:
  - tell
  Whitelist_Duplication:
  - tpa
  - spawn
  - home
Console:
  Filter_Messages:
    Reached End Of Stream: true
    Connection reset: true
    lost connection: true
    Console_Saving_Messages: true
Mute:
  Broadcast: true
  Disable:
    Join_Messages: true
    Quit_Messages: true
    Kick_Messages: true
    Death_Messages: true
Clear:
  Broadcast: true
Anti_Bot:
  Rejoin_Time: 4
Anti_Caps:
  Enabled: true
  Pattern: (\p{Lu}|\s){6,120}
  Warn_Player: true
  Whitelist:
  - I LIKE TRAINS
Anti_Swear:
  Enabled: true
  Enabled_In_Commands: true
  Block_Message: false
  Warn_Player: true
  Inform_Admins: true
  Replace_Word: true
  Replacement: I love this plugin!
  Custom_Command: none
  Word_List:
  - .*f+u+c+k+.*|.*f+u+k+.*|.*f+v+c+k+.*|.*f+u+q+.*|.*\bf'ing\b.*|.*\bfck\b.*|.*\bfk\b.*
  - bitch|b1tch|b!tch
  - .*fuck you.*|.*fuck off.*|.*piss off.*|.*suck my dick.*
  - .*shut up.*|\bnoob\b|\bloser\b
  - .*p+u+s+s+(y|ies|y+s).*
  - \bcunt\b|whore|\bhore\b|\bfag\b|slut|\bqueer\b|bastard|\bgay\b|shit|\bdamn\b|\bdouchebag\b|\bstripper\b|\borgasm\b|\bcum\b|jizz|\bsex\b|titties|titty|blowjob|fellatio|Cunnilingus|\bass\b|asshole|boobies|\bporn\b|\bpron\b|\bpiss|sh1t|shlt|p1ss|dick|d1ck|\btwat\b
  - n[^a]gg+(a|er|uh)|\bchink\b|\bchinc\b|\bredneck\b|\bwhitetrash\b|\bwhite trash\b|\bgreaser\b|\bwop\b|\bdago\b|\bwetback\b|\bspic\b|\bpigshit\b|\bkike\b|\btrailer trash\b|\btowel head\b|\bbeaner\b|\bspick\b|\bsand nigger\b|\bwap\b|\bgook\b|\bcurry muncher\b
Anti_Ad:
  Enabled: true
  Enabled_In_Commands: true
  Command_Whitelist:
  - /register
  - /reg
  - /login
  - /l
  - /auction
  Inform_Admins: true
  Console_Message: true
  Broadcast: false
  Write_To_File: true
  IP_Filter: \b[0-9]{1,3}(\.|dot|-|;|:|,|(\W|\d|_)*\s)+[0-9]{1,3}(\.|dot|-|;|:|,|(\W|\d|_)*\s)+[0-9]{1,3}(\.|dot|-|;|:|,|(\W|\d|_)*\s)+[0-9]{1,3}\b
  Domain_Filter: '[a-zA-Z0-9\-\.]+\s?(\.|dot|\(dot\)|-|;|:|,)\s?(com|org|net|mil|cz|co|uk|sk|cc|ws|ca|biz|mobi|xxx|tv|eu)\b'
  Custom_Filter: none
  Custom_Command: none
  Whitelisted:
    IP:
    - 0.0.0.0
    Domains:
    - youtube.com
    - google.com
Miscellaneous:
  Minimum_Players_To_Enable_Plugin: 0
  Block_Chat_Until_Moved: true
  Op_Has_Permissions: true
  Automatically_Update_Config: true
  Check_For_Updates: true
Localization:
  Dupe_Message: '&cPlease do not repeat the same message.'
  Dupe_Command: '&cPlease do not repeat the same command.'
  Time_Message: '&cPlease wait %time second(s) before next message.'
  Command_Message: '&cPlease wait %time second(s) before next command.'
  Ad_Message: '&7Please do not advertise other websites or IP adresses.'
  Ad_Staff_Message: '&c%player possibly advertises: &f%message '
  Ad_Broadcast_Message: '&c%player possibly advertises!'
  Ad_Console_Message: '&c%player possibly advertises: &f%message'
  Caps_Message: '&cDo not use so much CAPS LOCK'
  Successful_Mute: '&7Chat was successfully muted.'
  Successful_Unmute: '&7The chat is now unmuted.'
  Broadcast_Mute: '%prefix &eChat was muted by %player!'
  Broadcast_Unmute: '%prefix &eChat was unmuted by %player!'
  Broadcast_Clear: '%prefix &eChat was cleared by %player!'
  Do_Not_Swear: '&cPlease do not swear!'
  Swear_Admin_Message: '&c%player swears:&f %message'
  Cannot_Chat_While_Muted: '&7You cannot chat while the chat is muted.'
  Cannot_Chat_Until_Moved: '&7You cannot chat until you move.'
  Rejoin_Message: '&6Please wait &7%time second(s)&6 before logging in.'
  Update_Needed: '&6There is a new version of &cChatControl&6 available.

    &6Current version: &7%current&6; New version: &7%new'
  Reload_Complete: '&7Plugin was reloaded successfully.'
  Reload_Failed: '&cUnable to reload the plugin.'
  No_Permission: '&cYou do not have permission for this.'
  Wrong_Args: '&7Wrong arguments. Type &f/chatcontrol&7 help for help.'
  Reason: '&7Reason:&f%reason'
  Prefix: '&c[&6ChatControl&c]&7'
Do_Not_Change_Version_Number: 4.1.7
